package ch.unige.solidify.message;

import java.io.Serializable;
import java.util.HashMap;

public class CacheMessage implements Serializable {

  private static final long serialVersionUID = -15518034654214571L;

  protected HashMap<String, Serializable> otherProperties = new HashMap<>();

  public void addOtherProperty(String key, Serializable value) {
    this.otherProperties.put(key, value);
  }

  public Serializable getOtherProperty(String key) {
    return this.otherProperties.get(key);
  }

  public boolean hasOtherProperty(String key) {
    return this.otherProperties.containsKey(key);
  }

}
